"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'sharefiles',
    name: 'ShareFiles',
    description: 'ShareFiles is a ROMANIAN Private Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'ro-RO',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://sharefiles.ro/'],
    caps: {
        categorymappings: [
            { id: '53', cat: 'TV/Anime', desc: 'Anime | Cartoon' },
            { id: '28', cat: 'PC/0day', desc: 'Appz | Win' },
            { id: '58', cat: 'Books', desc: 'Docs' },
            { id: '67', cat: 'Console', desc: 'Games | Console' },
            { id: '151', cat: 'Console', desc: 'Games | Pack' },
            { id: '3', cat: 'PC/Games', desc: 'Games | PC Iso' },
            { id: '144', cat: 'Other', desc: 'Images' },
            { id: '54', cat: 'PC', desc: 'Linux' },
            { id: '100', cat: 'Other', desc: 'MiSC' },
            { id: '70', cat: 'PC/Mobile-Other', desc: 'Mobile' },
            { id: '137', cat: 'Movies/3D', desc: 'Movies | 3D' },
            { id: '140', cat: 'Movies/UHD', desc: 'Movies | 4K Blu-Ray' },
            { id: '139', cat: 'Movies/UHD', desc: 'Movies | 4K' },
            { id: '143', cat: 'Movies/UHD', desc: 'Movies | 4K-Ro' },
            { id: '103', cat: 'Movies/BluRay', desc: 'Movies | Blu-Ray' },
            { id: '132', cat: 'Movies/BluRay', desc: 'Movies | Blu-Ray-Ro' },
            { id: '71', cat: 'Movies/DVD', desc: 'Movies | DVD' },
            { id: '72', cat: 'Movies/DVD', desc: 'Movies | DVD-Ro' },
            { id: '74', cat: 'Movies/HD', desc: 'Movies | HD' },
            { id: '108', cat: 'Movies/HD', desc: 'Movies | HD-Ro' },
            { id: '148', cat: 'Movies', desc: 'Movies | Pack' },
            { id: '149', cat: 'Movies', desc: 'Movies | Pack-Ro' },
            { id: '153', cat: 'Movies', desc: 'Movies | Ro' },
            { id: '76', cat: 'Movies/SD', desc: 'Movies | SD' },
            { id: '2', cat: 'Movies/SD', desc: 'Movies | SD-Ro' },
            { id: '77', cat: 'Audio/MP3', desc: 'Music | Audio' },
            { id: '141', cat: 'Audio/Lossless', desc: 'Music | FLAC' },
            { id: '78', cat: 'Audio/Video', desc: 'Music | Video' },
            { id: '82', cat: 'TV/Sport', desc: 'Sports' },
            { id: '83', cat: 'TV/HD', desc: 'Tv | HD' },
            { id: '115', cat: 'TV/HD', desc: 'Tv | HD-Ro' },
            { id: '145', cat: 'TV', desc: 'Tv | Pack' },
            { id: '147', cat: 'TV', desc: 'Tv | Pack-Ro' },
            { id: '154', cat: 'TV', desc: 'Tv | Ro' },
            { id: '116', cat: 'TV/SD', desc: 'Tv | SD' },
            { id: '150', cat: 'TV/SD', desc: 'Tv | SD-Ro' },
            { id: '85', cat: 'XXX', desc: 'XxX' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'music-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'freeleech',
            type: 'checkbox',
            label: 'Filter freeleech only',
            default: false,
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 4,
            options: { '1': 'title', '4': 'created', '5': 'size', '7': 'seeders' },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'takelogin.php',
        method: 'post',
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
            unlock: 1,
        },
        error: [{ selector: 'td.embedded:has(h2:contains("failed"))' }],
        test: { path: 'browse.php', selector: 'a[href="logout.php"]' },
    },
    search: {
        paths: [{ path: 'browse.php' }],
        inputs: {
            $raw: '{{ if .Categories}}{{ range .Categories }}c{{.}}=1&{{end}}{{ else }}cat=0{{ end }}',
            search: '{{ .Keywords }}',
            blah: 0,
            sort: '{{ .Config.sort }}',
            type: '{{ .Config.type }}',
        },
        rows: {
            selector: 'table[width="852"] > tbody > tr:has(a[href^="download.php?id="]){{ if .Config.freeleech }}:has(a#free-btn){{ else }}{{ end }}',
        },
        fields: {
            category: {
                selector: 'a[href^="browse.php?cat="]',
                attribute: 'href',
                filters: [{ name: 'querystring', args: 'cat' }],
            },
            title: { selector: 'a[href^="details.php?id="]' },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            poster: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'onmouseover',
                filters: [{ name: 'regexp', args: 'src=([^\\s]+)' }],
            },
            download: {
                selector: 'a[href^="download.php?id="]',
                attribute: 'href',
            },
            date: {
                selector: 'td:nth-last-child(5)',
                filters: [
                    { name: 'append', args: ' +00:00' },
                    { name: 'dateparse', args: '2006-01-0215:04:05 -07:00' },
                ],
            },
            size: { selector: 'td:nth-last-child(4)' },
            grabs: {
                selector: 'td:nth-last-child(3)',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            seeders: { selector: 'td:nth-last-child(2)' },
            leechers: { selector: 'td:nth-last-child(1)' },
            downloadvolumefactor: { case: { 'a#free-btn': 0, '*': 1 } },
            uploadvolumefactor: { case: { 'a#double-btn': 2, '*': 1 } },
            minimumratio: { text: 1 },
            minimumseedtime: { text: 259200 },
        },
    },
    source: 'jackett',
};
